--- a/version/version_test.go
+++ b/version/version_test.go
@@ -186,25 +186,25 @@
 			metadata:   "007.a",
 		}, {
 			id:  "",
-			err: `.* illegal version format: .*ParseInt.*`,
+			err: `.* illegal version format: .*Atoi.*`,
 		}, {
 			id:  "a",
-			err: `.* illegal version format: .*ParseInt.*`,
+			err: `.* illegal version format: .*Atoi.*`,
 		}, {
 			id:  "1.a",
-			err: `.* illegal version format: .*ParseInt.*`,
+			err: `.* illegal version format: .*Atoi.*`,
 		}, {
 			id:  "1,1",
-			err: `.* illegal version format: .*ParseInt.*`,
+			err: `.* illegal version format: .*Atoi.*`,
 		}, {
 			id:  "-1",
-			err: `.* illegal version format: .*ParseInt.*`,
+			err: `.* illegal version format: .*Atoi.*`,
 		}, {
 			id:  "1.-1",
-			err: `.* illegal version format: .*ParseInt.*`,
+			err: `.* illegal version format: .*Atoi.*`,
 		}, {
 			id:  "+",
-			err: `.* illegal version format: .*ParseInt.*`,
+			err: `.* illegal version format: .*Atoi.*`,
 		},
 	}
 	// Perform tests.
